#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=ahar12.17_base.ps
projection=-JM16.0c+
region=-R46.5/47.0/38.3/38.6
gmt psbasemap $region $projection -Bxa0.2f0.1 -Bya0.2f0.1 -BWeSn+t'Base Map ahar12.17' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/g10g.grd -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
gmt psxy /Users/eab/Documents/Seismology/Projects/Software/mloc/mloc_working/tables/faults/iran_faults_walker_gmt.dat $projection $region -Wthick,red -O -K >> $psfile
gmt psxy /Users/eab/Documents/Seismology/Projects/Software/mloc/mloc_working/ahar12/2012_08_11_Ahar_rupture.dat $projection $region -Wthick,red -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    38.407    46.841
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    38.449    46.760
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    38.455    46.773
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    38.422    46.685
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    38.440    46.704
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    38.446    46.688
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    38.437    46.685
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    38.439    46.813
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    38.461    46.670
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    38.457    46.710
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    38.443    46.687
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    38.466    46.812
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    38.446    46.774
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    38.470    46.795
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    38.465    46.687
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    38.440    46.792
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    38.442    46.668
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    38.415    46.808
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    38.441    46.872
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    38.440    46.710
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    38.459    46.794
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    38.419    46.788
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    38.453    46.682
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    38.463    46.719
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    38.451    46.726
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    38.447    46.749
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    38.453    46.842
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    38.437    46.784
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    38.413    46.794
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    38.431    46.663
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    38.473    46.682
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    38.448    46.673
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    38.457    46.887
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    38.449    46.650
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    38.435    46.705
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    38.527    46.752
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    38.438    46.662
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    38.472    46.661
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    38.481    46.732
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    38.438    46.694
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    38.447    46.644
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    38.446    46.642
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    38.488    46.731
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    38.420    46.656
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    38.448    46.714
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
    38.457    46.777
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
    38.437    46.712
END
gmt psxy -: -R $projection -Sl8p+t"48" -G0 -O -K << END >> $psfile
    38.457    46.681
END
gmt psxy -: -R $projection -Sl8p+t"49" -G0 -O -K << END >> $psfile
    38.447    46.693
END
gmt psxy -: -R $projection -Sl8p+t"50" -G0 -O -K << END >> $psfile
    38.452    46.669
END
gmt psxy -: -R $projection -Sl8p+t"51" -G0 -O -K << END >> $psfile
    38.435    46.640
END
gmt psxy -: -R $projection -Sl8p+t"52" -G0 -O -K << END >> $psfile
    38.423    46.632
END
gmt psxy -: -R $projection -Sl8p+t"53" -G0 -O -K << END >> $psfile
    38.431    46.638
END
gmt psxy -: -R $projection -Sl8p+t"54" -G0 -O -K << END >> $psfile
    38.470    46.910
END
gmt psxy -: -R $projection -Sl8p+t"55" -G0 -O -K << END >> $psfile
    38.453    46.666
END
gmt psxy -: -R $projection -Sl8p+t"56" -G0 -O -K << END >> $psfile
    38.449    46.645
END
gmt psxy -: -R $projection -Sl8p+t"57" -G0 -O -K << END >> $psfile
    38.470    46.606
END
gmt psxy -: -R $projection -Sl8p+t"58" -G0 -O -K << END >> $psfile
    38.470    46.595
END
gmt psxy -: -R $projection -Sl8p+t"59" -G0 -O -K << END >> $psfile
    38.434    46.880
END
gmt psxy -: -R $projection -Sl8p+t"60" -G0 -O -K << END >> $psfile
    38.457    46.602
END
gmt psxy -: -R $projection -Sl8p+t"61" -G0 -O -K << END >> $psfile
    38.531    46.635
END
gmt psxy -: -R $projection -Sl8p+t"62" -G0 -O -K << END >> $psfile
    38.431    46.656
END
gmt psxy -: -R $projection -Sl8p+t"63" -G0 -O -K << END >> $psfile
    38.454    46.850
END
gmt psxy -: -R $projection -Sl8p+t"64" -G0 -O -K << END >> $psfile
    38.447    46.840
END
gmt psxy -: -R $projection -Sl8p+t"65" -G0 -O -K << END >> $psfile
    38.481    46.735
END
gmt psxy -: -R $projection -Sl8p+t"66" -G0 -O -K << END >> $psfile
    38.463    46.693
END
gmt psxy -: -R $projection -Sl8p+t"67" -G0 -O -K << END >> $psfile
    38.407    46.694
END
gmt psxy -: -R $projection -Sl8p+t"68" -G0 -O -K << END >> $psfile
    38.439    46.667
END
gmt psxy -: -R $projection -Sl8p+t"69" -G0 -O -K << END >> $psfile
    38.453    46.858
END
gmt psxy -: -R $projection -Sl8p+t"70" -G0 -O -K << END >> $psfile
    38.450    46.879
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.400    46.837
    38.400    46.837
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.397    46.851
    38.407    46.841
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.400    46.837
    38.407    46.841
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.442    46.755
    38.441    46.757
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.442    46.769
    38.449    46.760
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.441    46.757
    38.449    46.760
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.449    46.769
    38.447    46.769
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.439    46.779
    38.455    46.773
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.447    46.769
    38.455    46.773
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.416    46.682
    38.415    46.682
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.419    46.691
    38.422    46.685
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.415    46.682
    38.422    46.685
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.436    46.702
    38.432    46.701
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.429    46.712
    38.440    46.704
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.432    46.701
    38.440    46.704
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.439    46.686
    38.438    46.685
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.436    46.700
    38.446    46.688
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.438    46.685
    38.446    46.688
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.431    46.681
    38.430    46.681
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.428    46.690
    38.437    46.685
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.430    46.681
    38.437    46.685
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.433    46.809
    38.432    46.809
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.427    46.823
    38.439    46.813
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.432    46.809
    38.439    46.813
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.453    46.666
    38.453    46.666
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.447    46.680
    38.461    46.670
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.453    46.666
    38.461    46.670
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.449    46.708
    38.449    46.707
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.456    46.728
    38.457    46.710
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.449    46.707
    38.457    46.710
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.437    46.685
    38.436    46.684
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.435    46.694
    38.443    46.687
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.436    46.684
    38.443    46.687
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.458    46.808
    38.458    46.808
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.449    46.819
    38.466    46.812
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.458    46.808
    38.466    46.812
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.438    46.770
    38.438    46.770
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.436    46.786
    38.446    46.774
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.438    46.770
    38.446    46.774
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.463    46.792
    38.462    46.791
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.461    46.810
    38.470    46.795
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.462    46.791
    38.470    46.795
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.456    46.684
    38.457    46.683
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.447    46.698
    38.465    46.687
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.457    46.683
    38.465    46.687
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.433    46.788
    38.433    46.788
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.437    46.801
    38.440    46.792
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.433    46.788
    38.440    46.792
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.435    46.665
    38.435    46.665
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.487    46.685
    38.442    46.668
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.435    46.665
    38.442    46.668
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.408    46.805
    38.407    46.804
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.404    46.821
    38.415    46.808
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.407    46.804
    38.415    46.808
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.433    46.869
    38.434    46.869
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.424    46.883
    38.441    46.872
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.434    46.869
    38.441    46.872
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.433    46.708
    38.432    46.706
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.432    46.722
    38.440    46.710
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.432    46.706
    38.440    46.710
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.451    46.790
    38.452    46.790
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.447    46.803
    38.459    46.794
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.452    46.790
    38.459    46.794
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.412    46.785
    38.411    46.784
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.408    46.800
    38.419    46.788
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.411    46.784
    38.419    46.788
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.445    46.678
    38.445    46.678
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.442    46.687
    38.453    46.682
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.445    46.678
    38.453    46.682
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.455    46.715
    38.455    46.716
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.451    46.732
    38.463    46.719
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.455    46.716
    38.463    46.719
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.444    46.723
    38.444    46.723
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.506    46.735
    38.451    46.726
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.444    46.723
    38.451    46.726
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.440    46.745
    38.439    46.745
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.504    46.757
    38.447    46.749
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.439    46.745
    38.447    46.749
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.448    46.839
    38.446    46.838
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.438    46.853
    38.453    46.842
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.446    46.838
    38.453    46.842
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.429    46.781
    38.429    46.781
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.433    46.798
    38.437    46.784
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.429    46.781
    38.437    46.784
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.405    46.790
    38.405    46.791
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.402    46.797
    38.413    46.794
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.405    46.791
    38.413    46.794
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.423    46.660
    38.423    46.660
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.427    46.672
    38.431    46.663
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.423    46.660
    38.431    46.663
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.464    46.677
    38.466    46.679
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.460    46.687
    38.473    46.682
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.466    46.679
    38.473    46.682
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.439    46.669
    38.440    46.669
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.434    46.676
    38.448    46.673
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.440    46.669
    38.448    46.673
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.449    46.883
    38.449    46.883
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.445    46.897
    38.457    46.887
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.449    46.883
    38.457    46.887
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.441    46.647
    38.441    46.647
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.441    46.643
    38.449    46.650
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.441    46.647
    38.449    46.650
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.427    46.702
    38.428    46.702
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.433    46.717
    38.435    46.705
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.428    46.702
    38.435    46.705
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.520    46.749
    38.520    46.749
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.516    46.771
    38.527    46.752
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.520    46.749
    38.527    46.752
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.431    46.658
    38.430    46.658
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.429    46.665
    38.438    46.662
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.430    46.658
    38.438    46.662
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.465    46.658
    38.465    46.657
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.410    46.672
    38.472    46.661
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.465    46.657
    38.472    46.661
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.471    46.725
    38.474    46.728
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.457    46.732
    38.481    46.732
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.474    46.728
    38.481    46.732
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.428    46.688
    38.431    46.690
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.394    46.683
    38.438    46.694
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.431    46.690
    38.438    46.694
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.439    46.639
    38.440    46.640
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.420    46.650
    38.447    46.644
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.440    46.640
    38.447    46.644
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.438    46.639
    38.438    46.638
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.428    46.653
    38.446    46.642
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.438    46.638
    38.446    46.642
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.480    46.725
    38.480    46.727
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.437    46.722
    38.488    46.731
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.480    46.727
    38.488    46.731
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.425    46.663
    38.412    46.653
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.523    46.769
    38.420    46.656
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.412    46.653
    38.420    46.656
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.441    46.710
    38.441    46.710
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.414    46.703
    38.448    46.714
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.441    46.710
    38.448    46.714
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.449    46.773
    38.450    46.774
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.410    46.760
    38.457    46.777
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.450    46.774
    38.457    46.777
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.429    46.709
    38.430    46.709
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.470    46.780
    38.437    46.712
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.430    46.709
    38.437    46.712
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.451    46.678
    38.449    46.678
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.460    46.680
    38.457    46.681
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.449    46.678
    38.457    46.681
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.440    46.689
    38.439    46.689
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.560    46.840
    38.447    46.693
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.439    46.689
    38.447    46.693
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.444    46.666
    38.444    46.665
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.461    46.689
    38.452    46.669
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.444    46.665
    38.452    46.669
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.427    46.637
    38.428    46.636
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.360    46.668
    38.435    46.640
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.428    46.636
    38.435    46.640
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.416    46.631
    38.416    46.629
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.470    46.640
    38.423    46.632
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.416    46.629
    38.423    46.632
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.424    46.635
    38.423    46.635
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.438    46.619
    38.431    46.638
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.423    46.635
    38.431    46.638
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.461    46.906
    38.462    46.906
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.470    46.899
    38.470    46.910
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.462    46.906
    38.470    46.910
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.445    46.663
    38.446    46.663
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.312    46.845
    38.453    46.666
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.446    46.663
    38.453    46.666
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.442    46.642
    38.441    46.641
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.459    46.658
    38.449    46.645
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.441    46.641
    38.449    46.645
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.461    46.601
    38.463    46.602
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.418    46.620
    38.470    46.606
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.463    46.602
    38.470    46.606
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.463    46.593
    38.462    46.591
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.466    46.585
    38.470    46.595
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.462    46.591
    38.470    46.595
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.425    46.878
    38.426    46.877
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.454    46.860
    38.434    46.880
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.426    46.877
    38.434    46.880
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.452    46.597
    38.450    46.599
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.529    46.634
    38.457    46.602
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.450    46.599
    38.457    46.602
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.520    46.628
    38.523    46.631
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.519    46.656
    38.531    46.635
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.523    46.631
    38.531    46.635
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.427    46.652
    38.423    46.652
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.416    46.665
    38.431    46.656
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.423    46.652
    38.431    46.656
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.446    46.844
    38.447    46.847
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.411    46.835
    38.454    46.850
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.447    46.847
    38.454    46.850
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.438    46.837
    38.440    46.837
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.449    46.841
    38.447    46.840
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.440    46.837
    38.447    46.840
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.475    46.731
    38.473    46.731
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.493    46.731
    38.481    46.735
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.473    46.731
    38.481    46.735
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.455    46.686
    38.455    46.690
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.434    46.680
    38.463    46.693
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.455    46.690
    38.463    46.693
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.400    46.691
    38.399    46.690
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.457    46.749
    38.407    46.694
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.399    46.690
    38.407    46.694
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.434    46.659
    38.432    46.664
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.422    46.620
    38.439    46.667
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.432    46.664
    38.439    46.667
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.446    46.854
    38.445    46.855
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.414    46.833
    38.453    46.858
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.445    46.855
    38.453    46.858
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.442    46.876
    38.442    46.875
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.469    46.885
    38.450    46.879
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    38.442    46.875
    38.450    46.879
END
# Calibration locations marked by a red cross
gmt psxy -: -R $projection -Sx -Wthick,red -O -K << END >> $psfile
    38.448    46.674     0.200
    38.470    46.882     0.200
    38.456    46.643     0.200
    38.439    46.707     0.200
    38.523    46.760     0.200
    38.441    46.660     0.200
    38.453    46.667     0.200
    38.447    46.690     0.200
    38.442    46.641     0.200
END
# Calibration location confidence ellipses
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    38.448    46.674    87.000     1.500     3.680
    38.470    46.882    87.000     1.440     3.640
    38.456    46.643   -90.000     1.660     3.740
    38.439    46.707    88.000     1.520     3.640
    38.523    46.760    88.000     1.380     3.580
    38.441    46.660    88.000     1.400     3.600
    38.453    46.667    88.000     1.320     3.560
    38.447    46.690    88.000     1.420     3.580
    38.442    46.641    88.000     1.380     3.600
END
# Residual calibration shift vectors
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    38.448    46.674
    38.448    46.673
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    38.470    46.882
    38.457    46.887
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    38.456    46.643
    38.449    46.650
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    38.439    46.707
    38.435    46.705
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    38.523    46.760
    38.527    46.752
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    38.441    46.660
    38.438    46.662
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    38.453    46.667
    38.472    46.661
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    38.447    46.690
    38.438    46.694
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    38.442    46.641
    38.447    46.644
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    38.407    46.841   -67.039     0.581     1.025
    38.449    46.760   -81.707     1.548     2.594
    38.455    46.773   -71.517     0.578     0.958
    38.422    46.685   -75.062     1.134     1.768
    38.440    46.704   -68.490     1.228     1.726
    38.446    46.688   -58.347     0.833     1.540
    38.437    46.685   -81.027     1.238     1.668
    38.439    46.813     4.497     0.221     1.251
    38.461    46.670   -72.225     1.177     2.359
    38.457    46.710   -83.027     1.404     2.929
    38.443    46.687   -64.562     0.950     1.732
    38.466    46.812   -76.362     0.843     1.838
    38.446    46.774   -60.722     0.932     1.609
    38.470    46.795   -61.863     0.711     0.999
    38.465    46.687   -50.912     0.861     1.367
    38.440    46.792   -62.548     0.996     1.655
    38.442    46.668   -65.925     1.275     1.624
    38.415    46.808   -71.130     1.229     2.316
    38.441    46.872   -72.612     1.204     2.439
    38.440    46.710   -74.552     1.088     2.168
    38.459    46.794   -68.006     1.101     1.803
    38.419    46.788   -73.619     1.006     1.758
    38.453    46.682   -84.043     0.976     2.005
    38.463    46.719   -64.430     0.777     1.383
    38.451    46.726    83.577     1.176     1.334
    38.447    46.749    86.944     1.117     1.286
    38.453    46.842   -76.934     1.023     2.031
    38.437    46.784   -74.106     0.912     1.582
    38.413    46.794   -54.001     1.116     1.804
    38.431    46.663   -85.456     1.025     1.685
    38.473    46.682   -67.365     0.727     1.137
    38.448    46.673   -73.986     1.085     1.431
    38.457    46.887    81.691     0.945     1.415
    38.449    46.650   -51.238     1.308     2.356
    38.435    46.705   -64.683     0.994     1.268
    38.527    46.752   -59.282     0.674     1.140
    38.438    46.662   -78.543     1.002     1.463
    38.472    46.661   -58.970     0.608     0.950
    38.481    46.732   -59.922     0.839     1.192
    38.438    46.694   -69.836     0.832     1.305
    38.447    46.644   -70.389     0.747     1.077
    38.446    46.642   -64.678     0.909     1.105
    38.488    46.731   -66.948     0.924     1.309
    38.420    46.656   -53.062     1.660     2.003
    38.448    46.714   -83.794     1.073     1.563
    38.457    46.777   -62.852     1.068     1.185
    38.437    46.712   -82.508     1.171     1.667
    38.457    46.681   -54.686     1.050     1.447
    38.447    46.693   -63.985     1.073     1.380
    38.452    46.669   -70.292     1.231     1.598
    38.435    46.640   -78.520     1.131     1.320
    38.423    46.632   -85.725     0.983     1.519
    38.431    46.638   -72.498     1.107     1.598
    38.470    46.910   -74.394     1.016     1.472
    38.453    46.666   -66.689     0.951     1.217
    38.449    46.645   -74.590     1.095     1.462
    38.470    46.606   -70.353     0.815     1.361
    38.470    46.595   -78.730     1.256     1.663
    38.434    46.880   -74.982     1.312     1.712
    38.457    46.602   -82.563     1.012     1.310
    38.531    46.635   -59.257     1.024     1.515
    38.431    46.656   -80.256     1.308     1.405
    38.454    46.850   -74.754     1.099     1.340
    38.447    46.840   -64.966     1.546     2.072
    38.481    46.735   -64.009     1.260     1.856
    38.463    46.693   -43.990     1.233     1.917
    38.407    46.694   -47.090     1.049     1.272
    38.439    46.667   -84.523     1.638     1.775
    38.453    46.858   -53.992     0.968     1.104
    38.450    46.879   -68.479     1.155     1.512
END
# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    38.407    46.841     0.300
    38.455    46.773     0.300
END

# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    38.353    46.560    89.722     1.762     3.839
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    38.353    46.583   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    38.353    46.560     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    38.353    46.560     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    38.308    46.560   5 km
END
