#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=ahar12.17_dcal.ps
projection=-JM16.0c+
region=-R44.2/49.3/36.5/40.4
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration ahar12.17' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/g10g.grd -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
gmt psxy /Users/eab/Documents/Seismology/Projects/Software/mloc/mloc_working/tables/faults/iran_faults_walker_gmt.dat $projection $region -Wthick,red -O -K >> $psfile
gmt psxy /Users/eab/Documents/Seismology/Projects/Software/mloc/mloc_working/ahar12/2012_08_11_Ahar_rupture.dat $projection $region -Wthick,red -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.489    47.051
    38.407    46.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.474    47.059
    38.407    46.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.247    47.119
    38.407    46.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.870    47.039
    38.407    46.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.887    47.101
    38.407    46.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.394    47.667
    38.407    46.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.407    46.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.407    46.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.507    46.640
    38.449    46.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.474    47.059
    38.449    46.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248    46.470
    38.449    46.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.247    47.119
    38.449    46.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.449    46.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.449    46.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.449    46.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.449    46.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.507    46.640
    38.455    46.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.455    46.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.507    46.640
    38.422    46.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248    46.470
    38.422    46.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.154    46.589
    38.422    46.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.422    46.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.422    46.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.422    46.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.422    46.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.422    46.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.422    46.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248    46.470
    38.440    46.704
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.440    46.704
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.440    46.704
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.440    46.704
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.440    46.704
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.507    46.640
    38.446    46.688
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.474    47.059
    38.446    46.688
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.446    46.688
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.446    46.688
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.446    46.688
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.437    46.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.437    46.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.437    46.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.437    46.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.437    46.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.439    46.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.439    46.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.439    46.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.439    46.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.439    46.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.439    46.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.439    46.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.439    46.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.461    46.670
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.461    46.670
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.461    46.670
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.461    46.670
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.461    46.670
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.461    46.670
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.461    46.670
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.461    46.670
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.457    46.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.457    46.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.457    46.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.457    46.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.457    46.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.457    46.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.457    46.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.457    46.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.443    46.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.443    46.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.443    46.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.443    46.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.466    46.812
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.466    46.812
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.466    46.812
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.466    46.812
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.466    46.812
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.466    46.812
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.466    46.812
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.446    46.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.446    46.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.446    46.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.446    46.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.446    46.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.446    46.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.446    46.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.446    46.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.247    47.119
    38.470    46.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248    46.470
    38.470    46.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.870    47.039
    38.470    46.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.688    46.166
    38.470    46.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.123    47.373
    38.470    46.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.858    47.369
    38.470    46.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.394    47.667
    38.470    46.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.470    46.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.470    46.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.470    46.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.470    46.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.154    46.589
    38.465    46.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248    46.470
    38.465    46.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.247    47.119
    38.465    46.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.870    47.039
    38.465    46.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.123    47.373
    38.465    46.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.858    47.369
    38.465    46.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.465    46.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.465    46.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.465    46.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.440    46.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.440    46.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.440    46.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.440    46.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.440    46.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.440    46.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.440    46.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.442    46.668
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.442    46.668
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.415    46.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.415    46.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.415    46.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.415    46.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.415    46.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.441    46.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.441    46.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.441    46.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.441    46.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.441    46.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.440    46.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.440    46.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.440    46.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.440    46.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.440    46.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.440    46.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.474    47.059
    38.459    46.794
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.870    47.039
    38.459    46.794
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.858    47.369
    38.459    46.794
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.459    46.794
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.459    46.794
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.419    46.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.419    46.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.419    46.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.419    46.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.419    46.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.453    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.453    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.453    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.453    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.453    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.453    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248    46.470
    38.463    46.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.474    47.059
    38.463    46.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.123    47.373
    38.463    46.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.870    47.039
    38.463    46.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.688    46.166
    38.463    46.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.858    47.369
    38.463    46.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.463    46.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.463    46.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.451    46.726
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.451    46.726
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.451    46.726
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.451    46.726
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.447    46.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.447    46.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.447    46.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.453    46.842
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.453    46.842
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.453    46.842
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.453    46.842
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.437    46.784
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.437    46.784
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.437    46.784
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.437    46.784
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.437    46.784
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.437    46.784
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260    46.882
    38.413    46.794
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260    46.882
    38.413    46.794
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.413    46.794
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.431    46.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.431    46.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.431    46.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504    46.667
    38.473    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504    46.667
    38.473    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.507    46.640
    38.473    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.474    47.059
    38.473    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.154    46.589
    38.473    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430    46.813
    38.473    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430    46.813
    38.473    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260    46.882
    38.473    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260    46.882
    38.473    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.473    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.473    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.473    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.473    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.057    46.327
    38.473    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.057    46.327
    38.473    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.473    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.473    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.473    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.473    46.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504    46.667
    38.448    46.673
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504    46.667
    38.448    46.673
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430    46.813
    38.448    46.673
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430    46.813
    38.448    46.673
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260    46.882
    38.448    46.673
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260    46.882
    38.448    46.673
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.448    46.673
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.448    46.673
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.448    46.673
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.057    46.327
    38.448    46.673
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.057    46.327
    38.448    46.673
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.448    46.673
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.448    46.673
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.448    46.673
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.457    46.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.057    46.327
    38.457    46.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.057    46.327
    38.457    46.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.457    46.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.457    46.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.457    46.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.457    46.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.457    46.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.507    46.640
    38.449    46.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.154    46.589
    38.449    46.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430    46.813
    38.449    46.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260    46.882
    38.449    46.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.449    46.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430    46.813
    38.435    46.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430    46.813
    38.435    46.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504    46.667
    38.435    46.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504    46.667
    38.435    46.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260    46.882
    38.435    46.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.435    46.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.057    46.327
    38.435    46.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.057    46.327
    38.435    46.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.435    46.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.435    46.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.435    46.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.471    46.710
    38.527    46.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.375    46.700
    38.527    46.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.442    46.635
    38.527    46.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.507    46.640
    38.527    46.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.474    47.059
    38.527    46.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.154    46.589
    38.527    46.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248    46.470
    38.527    46.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.247    47.119
    38.527    46.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.870    47.039
    38.527    46.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.688    46.166
    38.527    46.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260    46.882
    38.527    46.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.527    46.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.527    46.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.527    46.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504    46.667
    38.438    46.662
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504    46.667
    38.438    46.662
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430    46.813
    38.438    46.662
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430    46.813
    38.438    46.662
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260    46.882
    38.438    46.662
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260    46.882
    38.438    46.662
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.438    46.662
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.438    46.662
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.438    46.662
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.438    46.662
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.438    46.662
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.438    46.662
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.375    46.700
    38.472    46.661
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.507    46.640
    38.472    46.661
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260    46.882
    38.472    46.661
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260    46.882
    38.472    46.661
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.474    47.059
    38.472    46.661
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.154    46.589
    38.472    46.661
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.472    46.661
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.247    47.119
    38.472    46.661
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.472    46.661
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.858    47.369
    38.472    46.661
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.472    46.661
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.472    46.661
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.928    45.994
    38.472    46.661
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.471    46.710
    38.481    46.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.375    46.700
    38.481    46.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.442    46.635
    38.481    46.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.474    47.059
    38.481    46.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.154    46.589
    38.481    46.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.481    46.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.481    46.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.481    46.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.481    46.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.481    46.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.442    46.635
    38.438    46.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430    46.813
    38.438    46.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430    46.813
    38.438    46.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260    46.882
    38.438    46.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260    46.882
    38.438    46.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.438    46.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.438    46.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.438    46.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.438    46.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.438    46.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.438    46.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.438    46.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.438    46.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.442    46.635
    38.447    46.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.375    46.700
    38.447    46.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.507    46.640
    38.447    46.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.471    46.710
    38.447    46.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430    46.813
    38.447    46.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430    46.813
    38.447    46.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260    46.882
    38.447    46.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260    46.882
    38.447    46.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.447    46.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.447    46.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.447    46.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.447    46.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.447    46.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.471    46.710
    38.446    46.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430    46.813
    38.446    46.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430    46.813
    38.446    46.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260    46.882
    38.446    46.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260    46.882
    38.446    46.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.446    46.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.446    46.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.446    46.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.446    46.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.446    46.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.446    46.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.446    46.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.442    46.635
    38.488    46.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.507    46.640
    38.488    46.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.474    47.059
    38.488    46.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.359    46.620
    38.488    46.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.359    46.620
    38.488    46.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260    46.882
    38.488    46.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.488    46.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.488    46.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.488    46.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.488    46.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.488    46.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.488    46.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.442    46.635
    38.420    46.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.471    46.710
    38.420    46.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.507    46.640
    38.420    46.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.420    46.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.420    46.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.420    46.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.420    46.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.420    46.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.375    46.700
    38.448    46.714
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.442    46.635
    38.448    46.714
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.471    46.710
    38.448    46.714
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.507    46.640
    38.448    46.714
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.448    46.714
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.448    46.714
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.448    46.714
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.448    46.714
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.448    46.714
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.448    46.714
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.448    46.714
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.448    46.714
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.448    46.714
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.471    46.710
    38.457    46.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.375    46.700
    38.457    46.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.442    46.635
    38.457    46.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.507    46.640
    38.457    46.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.474    47.059
    38.457    46.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.457    46.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.457    46.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.457    46.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.457    46.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.457    46.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.442    46.635
    38.437    46.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.471    46.710
    38.437    46.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.507    46.640
    38.437    46.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.437    46.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.437    46.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.437    46.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.437    46.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.437    46.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.437    46.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.437    46.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.442    46.635
    38.457    46.681
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.471    46.710
    38.457    46.681
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.375    46.700
    38.457    46.681
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.507    46.640
    38.457    46.681
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.457    46.681
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.457    46.681
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.457    46.681
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.457    46.681
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.375    46.700
    38.447    46.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.442    46.635
    38.447    46.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.471    46.710
    38.447    46.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.507    46.640
    38.447    46.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.447    46.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.447    46.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.447    46.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.447    46.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.452    46.669
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.452    46.669
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.452    46.669
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.435    46.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.435    46.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.435    46.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.471    46.710
    38.423    46.632
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.507    46.640
    38.423    46.632
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.423    46.632
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.474    47.059
    38.423    46.632
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.423    46.632
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.423    46.632
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.423    46.632
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.442    46.635
    38.431    46.638
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.375    46.700
    38.431    46.638
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.471    46.710
    38.431    46.638
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.507    46.640
    38.431    46.638
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.431    46.638
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.431    46.638
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.431    46.638
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.431    46.638
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.474    47.059
    38.470    46.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.470    46.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.471    46.710
    38.470    46.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.507    46.640
    38.470    46.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.470    46.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.470    46.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.470    46.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.470    46.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.471    46.710
    38.453    46.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.507    46.640
    38.453    46.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.453    46.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.449    46.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.449    46.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.449    46.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.507    46.640
    38.470    46.606
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.471    46.710
    38.470    46.606
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.928    45.994
    38.470    46.606
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.870    47.039
    38.470    46.606
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.928    45.994
    38.470    46.606
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.470    46.595
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.470    46.595
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.928    45.994
    38.470    46.595
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.928    45.994
    38.470    46.595
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.434    46.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.434    46.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.457    46.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.457    46.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.457    46.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.928    45.994
    38.457    46.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.928    45.994
    38.457    46.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.531    46.635
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.531    46.635
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.928    45.994
    38.531    46.635
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.928    45.994
    38.531    46.635
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.928    45.994
    38.531    46.635
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.431    46.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.431    46.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.431    46.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.454    46.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.454    46.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.454    46.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.447    46.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.447    46.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.447    46.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.481    46.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.481    46.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.481    46.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.463    46.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.463    46.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.407    46.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.407    46.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.407    46.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.439    46.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.439    46.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.453    46.858
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.453    46.858
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.453    46.858
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.450    46.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.317    47.043
    38.450    46.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.235    46.150
    38.450    46.879
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    38.235    46.150     0.300
    38.317    47.043     0.300
    38.260    46.882     0.300
    38.504    46.667     0.300
    38.430    46.813     0.300
    38.057    46.327     0.300
    38.928    45.994     0.300
    38.359    46.620     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
    38.489    47.051     0.250
    38.474    47.059     0.250
    38.247    47.119     0.250
    38.870    47.039     0.250
    37.887    47.101     0.250
    38.394    47.667     0.250
    38.507    46.640     0.250
    38.248    46.470     0.250
    38.317    47.043     0.250
    38.235    46.150     0.250
    38.154    46.589     0.250
    38.688    46.166     0.250
    38.123    47.373     0.250
    38.858    47.369     0.250
    38.471    46.710     0.250
    38.375    46.700     0.250
    38.442    46.635     0.250
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.407    46.841     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.449    46.760     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.455    46.773     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.422    46.685     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.440    46.704     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.446    46.688     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.437    46.685     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.439    46.813     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.461    46.670     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.457    46.710     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.443    46.687     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.466    46.812     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.446    46.774     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.470    46.795     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.465    46.687     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.440    46.792     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.442    46.668     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.415    46.808     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.441    46.872     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.440    46.710     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.459    46.794     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.419    46.788     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.453    46.682     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.463    46.719     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.451    46.726     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.447    46.749     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.453    46.842     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.437    46.784     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.413    46.794     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.431    46.663     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.473    46.682     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.448    46.673     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.457    46.887     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.449    46.650     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.435    46.705     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.527    46.752     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.438    46.662     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.472    46.661     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.481    46.732     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.438    46.694     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.447    46.644     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.446    46.642     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.488    46.731     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.420    46.656     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.448    46.714     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.457    46.777     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.437    46.712     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.457    46.681     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.447    46.693     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.452    46.669     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.435    46.640     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.423    46.632     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.431    46.638     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.470    46.910     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.453    46.666     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.449    46.645     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.470    46.606     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.470    46.595     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.434    46.880     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.457    46.602     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.531    46.635     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.431    46.656     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.454    46.850     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.447    46.840     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.481    46.735     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.463    46.693     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.407    46.694     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.439    46.667     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.453    46.858     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.450    46.879     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    38.442    46.722     0.000   222.000   222.000
    38.442    46.722     0.000   444.000   444.000
END
